/***************************************************************************
                           elementlabeldialog.cpp
                           -------------------------------
    copyright            : (C) 2010 Guido Scholz
    e-mail               : guido.scholz@bayernline.de
    last modified        : $Date: 2009/11/01 20:40:38 $
                           $Revision: 1.82 $
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 This file provides an user interface to change label text of an layout
 item
 ***************************************************************************/

#include <QLabel>
#include <QLayout>
#include <QDialogButtonBox>

#include "elementlabeldialog.h"


ElementLabelDialog::ElementLabelDialog(QWidget* parent):
    QDialog(parent)
{
    setObjectName("ElementLabelDialog");
    setWindowTitle(tr("Edit label"));

    /*Layout to separate OK Cancel buttons from the upper rest*/
    QBoxLayout* baseLayout = new QVBoxLayout(this);
    baseLayout->setSpacing(10);

    /*line with text edit line*/
    QHBoxLayout* textLayout = new QHBoxLayout();
    baseLayout->addLayout(textLayout);
    QLabel* labelText = new QLabel(tr("&Text:"), this);
    textLayout->addWidget(labelText);
    textLayout->addStretch();
    leText = new QLineEdit(this);
    leText->setMaxLength(20);
    textLayout->addWidget(leText);
    labelText->setBuddy(leText);

    QDialogButtonBox* buttonBox = new QDialogButtonBox(
            QDialogButtonBox::Ok |
            QDialogButtonBox::Cancel);

    connect(buttonBox, SIGNAL(accepted()), this, SLOT(accept()));
    connect(buttonBox, SIGNAL(rejected()), this,
            SLOT(reject()));
    baseLayout->addWidget(buttonBox);
}


QString ElementLabelDialog::getSymbolText()
{
    return leText->text();
}


void ElementLabelDialog::setSymbolText(const QString& text)
{
    leText->setText(text);
}

